Login to download the latest version of Mint and your favorite Pepper, purchase additional licenses, or post in the Forum. Don't have an account? Create one!

In Partnership with Media Temple

Mint Forum

Configuring Mint for WordPress

Muskie
Minted
Posted on Sep 11, '10 at 09:22 pm

Howdy, I’ve been using Mint and WordPress for years, but I never ever got Bird Feeder to work, it always makes my life difficult. I tried again with the latest Mint and the latest Wordpress (3.0.1) and various plugins.

I have my blog at blog.muschamp.ca, I tried the feeder at muschamp.ca/feeder and now at blog.muschamp.ca/feeder/

Mint and WordPress are in the same database. I think I’m running a fairly recent version of PHP. I can even edit the PHP.ini file, which I had to do to fix another plugin (WordPress importer).

I’ve de-activated the Bird Feeder Pepper and the various Bird Feeder WP plugins. I still have micro mint running, but I never could get the micro API stuff to work.

The biggest problem I have is when I click the little RSS button on my site I get this:

Well what do you know I finally got the error message to go away, here is what it was:

26: Warning: include() [ href=’function.include’>function.include]: Failed opening ‘/home/muskie/domains/muschamp.ca/public_html/blog/feeder/index.php’ for inclusion (include_path=’.:/usr/local/php5/lib/php’) in /home/muskie/domains/muschamp.ca/public_html/blog/wp-content/plugins/BirdFe ederWP.php on line 59 27: 28: Fatal error: Call to a member function loadPepper() on a non-object in /home/muskie/domains/muschamp.ca/public_html/blog/wp-content/plugins/BirdFe ederWP.php on line 85

Sorry it is so ugly… This happened regardless where I put the Feeder. I don’t have any other Feed plugins, I don’t think so what is the best way to get Bird Feeder working with a WordPress installation like mine?

MacManX
Minted
Posted on Sep 11, '10 at 09:31 pm

First off, you’ll need to have the /feeder/ directory installed at blog.muschamp.ca/feeder/ and then activate the Bird Feeder pepper. Then, try this plugin: http://wordpress.org/extend/plugins/mint-bird-feeder

It’s the only Bird Feeder plugin that worked for me.

Muskie
Minted
Posted on Sep 14, '10 at 01:33 am

I can’t get Bird Feeder to work in blog.muschamp.ca/feeder/ I put that location into the install plugin settings and clicked done. When I try to visit the Feeder location I get:

Mint Bird Feeder cannot find the Bird Watcher.

I downloaded the most recent pepper again and put the new index.php into /feeder/ and class.php in the birdfeeder/ plugin directory.

I have tried both plug-ins for Bird Feeder but with WP 3.0+ it keeps screwing up the RSS feeds and making them invalid. Any thoughts on how to get bird feeder working with WP 3?

MacManX
Minted
Posted on Oct 08, '10 at 05:01 pm

Muskie, did you set the location of /feeder correctly in the pepper’s settings?

Ben, try this plugin: http://wordpress.org/extend/plugins/mint-bird-feeder

NANANA
Minted
Posted on Mar 25, '11 at 01:53 am

the main tracking works but page tracking doesn’t. I have the script code in the header of each page after the title…

Hi, Is there anywhere where it explains step-by-step Mint installation for WP for a complete coder dumbie? I thot it was a simple WP plug-in…. This forum looks like 3 steps above what I can understand…. anything at all resembling a “Mint Dummies” book? -:) thanks! Eric

I should add, the plugin installation I tried brot up the error message: “this plugin does not have a correct header”…. I naively thot all you had to do was install the plugin, and perhaps do a few tweaks or fill in boxes in a settings area, not do a lot of coding…. thanks, Eric

OK, I’m working my way thru this…. not quite so daunting as it first looked, altho I’ve come up against a stumbling block.

re: Installing to WP, re: Instructions in the “Read Me” file: 1. Open /mint/config/db.php, fill in your database connection details and save. 2. Upload the entire /mint/ folder to your server. 3. Now visit Mint in a web browser and follow the remaining instructions. The same instructions will be accessible later from the Preferences or by visiting .

I was able to do steps 1 & 2 OK. However, with #3, I get into a loop, i.e. I can’t seem to install the plugin from WP as it bring up an “fail” error message saying the plugin dosen’t have a proper header.

So I looked at the inst’s on the 1st sticky of this thread and I got thru the 1st half, ie configuring the db.php file in Mint. However, when I get to: “add the Javascript code” from the “text given by the installer” I am lost…. It says it is in the installer, but what installer are you talking about? The only thing I got in a download was a zip plugin which I installed in WP…. Where do I find the Installer that contains the Java code?

thanks, Eric

You must be logged in to reply. Login above or create an account